## org.apache.mahout.common.commandline
Class MinhashOptionCreator

    java.lang.Object
      org.apache.mahout.common.commandline.MinhashOptionCreator

    public final class MinhashOptionCreator

extends java.lang.Object

Field Summary
`static java.lang.String` `DEBUG_OUTPUT`
`static java.lang.String` `HASH_TYPE`
`static java.lang.String` `KEY_GROUPS`
`static java.lang.String` `MIN_CLUSTER_SIZE`
`static java.lang.String` `MIN_VECTOR_SIZE`
`static java.lang.String` `NUM_HASH_FUNCTIONS`
`static java.lang.String` `NUM_REDUCERS`

Method Summary
`static org.apache.commons.cli2.builder.DefaultOptionBuilder` `debugOutputOption()`
`static org.apache.commons.cli2.builder.DefaultOptionBuilder` `hashTypeOption()` Returns a default command line option for specifying the type of hash to use in MinHash clustering: Should one out of ("linear","polynomial","murmur")
`static org.apache.commons.cli2.builder.DefaultOptionBuilder` `keyGroupsOption()` Returns a default command line option for specifying the number of key groups to be used in MinHash clustering
`static org.apache.commons.cli2.builder.DefaultOptionBuilder` `minClusterSizeOption()` Returns a default command line option for specifying the minimum cluster size in MinHash clustering
`static org.apache.commons.cli2.builder.DefaultOptionBuilder` `minVectorSizeOption()` Returns a default command line option for specifying the min size of the vector to hash Should one out of ("linear","polynomial","murmur")
`static org.apache.commons.cli2.builder.DefaultOptionBuilder` `numHashFunctionsOption()` Returns a default command line option for specifying the number of hash functions to be used in MinHash clustering
`static org.apache.commons.cli2.builder.DefaultOptionBuilder` `numReducersOption()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_HASH_FUNCTIONS

    public static final java.lang.String NUM_HASH_FUNCTIONS

See Also:
  Constant Field Values

### KEY_GROUPS

    public static final java.lang.String KEY_GROUPS

See Also:
  Constant Field Values

### HASH_TYPE

    public static final java.lang.String HASH_TYPE

See Also:
  Constant Field Values

### MIN_CLUSTER_SIZE

    public static final java.lang.String MIN_CLUSTER_SIZE

See Also:
  Constant Field Values

### MIN_VECTOR_SIZE

    public static final java.lang.String MIN_VECTOR_SIZE

See Also:
  Constant Field Values

### NUM_REDUCERS

    public static final java.lang.String NUM_REDUCERS

See Also:
  Constant Field Values

### DEBUG_OUTPUT

    public static final java.lang.String DEBUG_OUTPUT

See Also:
  Constant Field Values

Method Detail

### debugOutputOption

    public static org.apache.commons.cli2.builder.DefaultOptionBuilder debugOutputOption()

### numReducersOption

    public static org.apache.commons.cli2.builder.DefaultOptionBuilder numReducersOption()

### minClusterSizeOption

    public static org.apache.commons.cli2.builder.DefaultOptionBuilder minClusterSizeOption()

  Returns a default command line option for specifying the minimum cluster size in MinHash clustering

### hashTypeOption

    public static org.apache.commons.cli2.builder.DefaultOptionBuilder hashTypeOption()

  Returns a default command line option for specifying the type of hash to use in MinHash clustering: Should one out of ("linear","polynomial","murmur")

### minVectorSizeOption

    public static org.apache.commons.cli2.builder.DefaultOptionBuilder minVectorSizeOption()

  Returns a default command line option for specifying the min size of the vector to hash Should one out of ("linear","polynomial","murmur")

### numHashFunctionsOption

    public static org.apache.commons.cli2.builder.DefaultOptionBuilder numHashFunctionsOption()

  Returns a default command line option for specifying the number of hash functions to be used in MinHash clustering

### keyGroupsOption

    public static org.apache.commons.cli2.builder.DefaultOptionBuilder keyGroupsOption()

  Returns a default command line option for specifying the number of key groups to be used in MinHash clustering

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.